CLASS TEMPLAT(3)

NAME
boost::unwrap_reference - Find the type in a reference_wrapper.

SYNOPSIS

// In header: <boost/ref.hpp>
template<typename T>
class unwrap_reference {
public:
  // types
  typedef unspecified type;
};

DESCRIPTION

The typedef type is T::type if T is a reference_wrapper, T otherwise.